include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kvoctrain/kvoctrain
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kvtxml (static)

tde_add_library( kvtxml STATIC_PIC AUTOMOC

  SOURCES
        XmlReader.cpp
        XmlTokenizer.cpp
        XmlElement.cpp
        XmlWriter.cpp
)
